@echo off & setlocal enableextensions & echo.

:: dataver.bat. Revised 20/9/2018. M.J. Dallwitz.
:: Calls updver_.bat.

if "%1" equ "/?" (
   echo Updates the version date in files, usually markhtm, toint, and tonath.
   echo The original file must contain 'Version', followed by any string of
   echo characters, and terminated by a full stop. This would usually be the
   echo version information inserted by the previous run of the program, e.g.
   echo 'Version: 22nd April 2018.'.
   exit /b 0
   )

echo Updating version date in Confor directives files.
call updver_ markhtm || exit /b 1
call updver_ toint || exit /b 1
call updver_ tointf || exit /b 1
call updver_ tonath || exit /b 1
echo ------------------------------------------------------------------------------

exit /b 0
